# $Revision: 1.41 $, $Date: 2008/01/03 13:23:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	IntSpan
Summary:	Set::IntSpan Perl module - manages sets of integers
Summary(pl.UTF-8):	Moduł Perla Set::IntSpan - zarządzanie zbiorami liczb całkowitych
Name:		perl-Set-IntSpan
Version:	1.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Set/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c1633328e9bfece889abe0949992ce04
URL:		http://search.cpan.org/dist/Set-IntSpan/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::IntSpan manages sets of integers. It is optimized for sets that
have long runs of consecutive integers. These arise, for example, in
.newsrc files, which maintain lists of articles.

%description -l pl.UTF-8
Moduł Set::IntSpan zarządza zbiorami liczb całkowitych. Jest
zoptymalizowany dla zbiorów, które mają długie ciągi kolejnych liczb.
Jest to częste na przykład w plikach .newsrc, które zawierają listy
artykułów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Set/IntSpan.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-IntSpan.spec,v $
Revision 1.41  2008/01/03 13:23:49  qboosh
- generic URL

Revision 1.40  2007-12-31 00:25:11  zbyniu
- up to 1.13

Revision 1.39  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.37  2006/10/23 21:51:19  ankry
- ver. 1.09

Revision 1.36  2004/11/03 22:30:43  paladine
- formatting

Revision 1.35  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.34  2004/05/23 23:00:21  adamg
- updated to 1.08

Revision 1.33  2004/05/07 00:29:38  ankry
- rel. 12

Revision 1.32  2004/05/06 18:21:02  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/02 08:35:25  ankry
- tests added, license fixed, cosmetics

Revision 1.30  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.29  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:01:01  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:46:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:38:07  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.20  2002/08/11 19:36:49  radek
- release up

Revision 1.19  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.18  2002/07/10 08:48:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:13  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:19:53  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:33:54  depesz
adapterized

Revision 1.12  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:14  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 16:50:13  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:57  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:58:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
